package cc.toph.simplycompat.registry;

import cc.toph.simplycompat.SimplyCompat;
import cc.toph.simplycompat.item.SimplyCompatSwordItem;
import net.minecraft.core.Registry;
import net.minecraft.core.registries.Registries;
import net.minecraft.resources.ResourceKey;
import net.minecraft.resources.ResourceLocation;

public class SimplyCompatRegistries extends Registries {

    // Defines a Key for Sword Items, enabling the usage of Sword Specific Registries
    // In essence allows the usage of the SimplyCompatSwordItem so we can access modded sword data
    public static final ResourceKey<Registry<SimplyCompatSwordItem>> SWORD_ITEM = ResourceKey.createRegistryKey(new ResourceLocation(SimplyCompat.MOD_ID, "sword_item"));

}
