package cc.toph.simplycompat.forge;

import cc.toph.simplycompat.SimplyCompat;
import cc.toph.simplycompat.SimplyCompatExpectPlatform;
import net.minecraftforge.fml.ModList;
import net.minecraftforge.fml.loading.FMLPaths;

import java.nio.file.Path;

public class SimplyCompatExpectPlatformImpl {
  /**
   * Implementation of {@link SimplyCompatExpectPlatform#getConfigDirectory()}.
   */
  public static Path getConfigDirectory() {
    return FMLPaths.CONFIGDIR.get();
  }

  /**
   * Implementation of {@link SimplyCompatExpectPlatform#getConfigDirectory()}.
   */
  public static String getVersion() {
    return ModList.get().getModContainerById(SimplyCompat.MOD_ID).map(it -> it.getModInfo().getVersion().toString()).orElseThrow();
  }



}